Get all transfers
curl --request GET \
--url https://api-sandbox.orum.io/deliver/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Orum-Version: <orum-version>'import requests
url = "https://api-sandbox.orum.io/deliver/transfers"
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Orum-Version': '<orum-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api-sandbox.orum.io/deliver/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_reference_id": "<string>",
"amount": 2,
"currency": "USD",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>",
"trace_number": "<string>",
"return_trace_number": "<string>"
},
"destination": {
"customer_reference_id": "<string>",
"account_reference_id": "<string>",
"statement_display_name": "<string>",
"trace_number": "<string>",
"return_trace_number": "<string>"
},
"status_reasons": [
{
"source": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>",
"network_reason_code": "<string>",
"network_reason_code_message": "<string>",
"network_reason_code_rail_type": "<string>"
},
"destination": {
"reason_code": "insufficient_funds",
"reason_code_message": "<string>",
"network_reason_code": "<string>",
"network_reason_code_message": "<string>",
"network_reason_code_rail_type": "<string>"
}
}
],
"account_statement_descriptor": "<string>",
"estimated_funds_delivery_date": "2023-11-07T05:31:56Z",
"metadata": {},
"transfer_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subledger_reference_id": "<string>"
}
]
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Transfers
Get All Transfers
Get all transfer objects.
GET
/
deliver
/
transfers
Get all transfers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
Available options:
v2022-09-21 Query Parameters
Index for paginated results
Required range:
x >= 0Max number of results to return
Required range:
0 <= x <= 500Filter results by transfer reference id Unique reference id for the transfer. Generated by you.
Minimum string length:
1Filter results by transfer status Describes the current status of the transfer.
Available options:
completed, created, failed, pending, settled Filter results by transfer group id Orum generated unique id for the resource.
Filter results by schedule id Orum generated unique id for the resource.
Filter results by subledger reference id Unique reference id for the subledger resource. Generated by you.
Required string length:
1 - 255Response
200 response.
List of transfers.
Show child attributes
Show child attributes
Was this page helpful?
⌘I